GLS ShipIT 3.3.20 GLS ShipIT - SOAP services

Public Member Functions | List of all members
eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.ObjectFactory Class Reference

## Public Member Functions
| ObjectFactory ()
Address | createAddress ()
FromToLocation | createFromToLocation ()
Source | createSource ()
Destination | createDestination ()
EstimatedDeliveryDays | createEstimatedDeliveryDays ()

## Detailed Description

This object contains factory methods for each Java content interface and Java element interface generated in the eu.glsgroup.fpcs.datatypes.soap.v1.timeframe package.

An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

Definition at line 22 of file fpcs/datatypes/soap/v1/timeframe/ObjectFactory.java.

## Constructor & Destructor Documentation

## ◆ ObjectFactory()

eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.ObjectFactory.ObjectFactory | ( |  | ) |

Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: eu.glsgroup.fpcs.datatypes.soap.v1.timeframe

Definition at line 29 of file fpcs/datatypes/soap/v1/timeframe/ObjectFactory.java.

## Member Function Documentation

## ◆ createAddress()

Address eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.ObjectFactory.createAddress | ( |  | ) |

Create an instance of Address

Definition at line 36 of file fpcs/datatypes/soap/v1/timeframe/ObjectFactory.java.

## ◆ createDestination()

Destination eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.ObjectFactory.createDestination | ( |  | ) |

Create an instance of Destination

Definition at line 60 of file fpcs/datatypes/soap/v1/timeframe/ObjectFactory.java.

## ◆ createEstimatedDeliveryDays()

EstimatedDeliveryDays eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.ObjectFactory.createEstimatedDeliveryDays | ( |  | ) |

Create an instance of EstimatedDeliveryDays

Definition at line 68 of file fpcs/datatypes/soap/v1/timeframe/ObjectFactory.java.

## ◆ createFromToLocation()

FromToLocation eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.ObjectFactory.createFromToLocation | ( |  | ) |

Create an instance of FromToLocation

Definition at line 44 of file fpcs/datatypes/soap/v1/timeframe/ObjectFactory.java.

## ◆ createSource()

Source eu.glsgroup.fpcs.datatypes.soap.v1.timeframe.ObjectFactory.createSource | ( |  | ) |

Create an instance of Source

Definition at line 52 of file fpcs/datatypes/soap/v1/timeframe/ObjectFactory.java.

The documentation for this class was generated from the following file:

- fpcs/datatypes/soap/v1/timeframe/ObjectFactory.java